# CraftPresence

## [v2.0.5](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v2.0.5) (2022-05-02)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v2.0.0...v2.0.5) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Backend] Fail-safe tweaks + Debugging Additions  
    - `ResetIndex` will now occur before the optionsTable is generated as well as after, to prevent malformed data in a scenario that `ResetIndex` is executed pre-maturely.  
    - Marked `ShouldProcessData#data` as a required parameter and adjusted method accordingly.  
    - Marked `SetInstanceChanged#value` as a required parameter and adjusted method accordingly.  
    - Marked `CreateFrames#size` as a required parameter and adjusted method accordingly.  
    - Marked `PaintFrame#frame` as a required parameter and adjusted method accordingly.  
    - Marked `PaintSomething#text` as a required parameter and adjusted method accordingly.  
    - Removed unnecesary semi-colon usage in `Utils.lua`  
    - Executing `ResetIndex` will now return `lastIndex` instead of returning `nil`, allowing knowledge of where the index is at any time.  
    - Marked `FormatAsIcon#str` as a required parameter and adjusted method accordingly.  
    - Marked `FormatWithCasing#str,casing` as required parameters and adjusted method accordingly.  
    - Marked `GetCaseData#obj` as a required parameter and adjusted method accordingly.  
    - `GetCaseData` can now be used with a table with one argument, in which case it will have the same return result as if you had supplied a string to it, rather then returning nil.  
    - Marked `GetGameVariable#str` as a required parameter and adjusted method accordingly  
    - `ShowConfig` will now return `self.optionsFrame` when applicable (Clients above 2.0.0). A proper return value is still being determined for <=1.12.1 clients).  
    - Marked `PrintUsageCommand#usage` as a required parameter and adjusted method accordingly.  
    - Marked `PrintQueryCommand#root\_name` as a required parameter and adjusted method accordingly.  
    - Marked `SetTimerLocked#newValue` as a required parameter and adjusted method accordingly.  
    - Marked `GetFromDb#grp` as a required parameter and `GetFromDb#key` as an optional parameter, and adjusted method accordingly. The same has been done for `SetToDb`.  
    - Adjusted the logic in `IsToggleTag` to prevent circumstances of it returning `nil` instead of a boolean.  
    - Executing `SetupQueueSystem` will now return the `queue\_frame` object, allowing better debugging capabilities within other addons.  
- [Cleanup] Indentation Cleanups  
